Verify plugin has strange warning message.

Answered

"verifyPlugin" has strange message on my plugin.

But I don't understand why it happened?

 

My plugin.xml is like this.

<idea-plugin>
<id>com.intellij.my-plugin</id>
<name>MyPlugin</name>
<version>0.0.1</version>
<vendor email="support@gmail.com" url="https://google.com">IntelliJ</vendor>

<description>
Description here...
</description>

<change-notes>
First release.
</change-notes>

<project-components>
...
</project-components>

<extensions defaultExtensionNs="com.intellij">
...
</extensions>

<depends>Git4Idea</depends>
<depends>com.intellij.modules.lang</depends>
</idea-plugin>

 

Error Message is 

Plugin verification: Default value in plugin descriptor plugin.xml: <change-notes> shouldn't have 'Add change notes here' or 'most HTML tags may be used'

 

I think I set change-notes tag properly.

How come I have this message?

 

2 comments

It shouldn't happen with your change-notes I see here, I've filed a bug for our team here: https://youtrack.jetbrains.com/issue/MP-1989

Could you please share your plugin jar with us via `plugins-admin@jetbrains.com` email or via `jetbrains-team` only attachment in the MP-1989 issue? Then we'll be able to reproduce the behavior and fix the issue.

Thanks!

0

I noticed this is from build.gradle.

 

patchPluginXml {
changeNotes """
Add change notes here.<br>
<em>most HTML tags may be used</em>"""
}

 

I didn't notice this code (I think I downloaded somewhere)...

0

Please sign in to leave a comment.